package main

import (
	"log"
	"net/http"
)

func requestHandler(h http.Handler) http.HandlerFunc {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
        // Allow requests from the other server,
        // normally this is blocked for security reasons
        w.Header().Add("Access-Control-Allow-Origin", "*")

				// Serve the files normally
				log.Printf("%s %s\n", r.Method, r.URL)
				h.ServeHTTP(w, r)
	})
}
func main() {
	http.Handle("/", requestHandler(http.FileServer(http.Dir("../videos/dash"))))
	log.Printf("Starting server on http://localhost:9000\n")
	panic(http.ListenAndServe(":9000", nil))
}
