import tree from '../videos/branches.js'
import {findBranchByID, state} from './src/state'

const data = {}
const prefetchDistance = 2
export var buffer= {}
export default {
  save: function (segment, request) {
    data[segment] = request
    this.addBuffer(segment, 4)
  },
  // I'm pretty lazy so you just send in a 1 or minus 1 depending on if you want increase or decrease buffer
  addBuffer: function (segment, add) {
    if (isNaN(parseFloat(segment))) {
      return
    }
    const branch = this.getBranchFromSegment(segment)
    if(buffer[branch.id]){
      buffer[branch.id]+=add
    }else{
      buffer[branch.id]=add
    }
  },
  getTree: function () {
    return tree
  },
  // this will return what segments you should prefetch
  doPrefetch: function (reqUrl) {
    const {currentBranch, upcomingBranches} = state
    const branch = findBranchByID(currentBranch)
    var prefetch = []

    if (Math.floor((branch.startTime + branch.length)/4) - prefetchDistance < reqUrl) {
      upcomingBranches.forEach(branchID => {
        prefetch.push(Math.floor(findBranchByID(branchID).startTime/4) +1)
      })
    }
    return prefetch.reverse()
  },
  getBranchFromSegment: function (segment) {
    return tree.find(branch => {
      if (branch.startTime <= (segment-1)*4 && segment*4 <branch.startTime+branch.length+1 ) {
        return true
      }
    })
  },
  getBranchFromId: function (id) {
    return tree.find(branch => {
      if (branch.id === id) {
        return true
      }
    })
  },
  extract: function (url) {
    if (data[url]) {
      return data[url]
    } else {
      return null
    }
  },
  remove: function (url) {
    if (data[url]) {
      delete data[url]
    } else {
      return null
    }
  },

  has: function (url) {
    return (data[url] !== undefined && data[url] != null)
  },

  getData: function () {
    return data
  }
}
