import dashjs from '../dash-js/'
import {updateState, printState} from './state'
import {updatePlaybackBar} from './playbackBar'
import { updateButtons } from './branchButtons'


const videoElement = document.getElementById('video-player')
const manifest = 'http://localhost:9000/manifest.mpd'

const player = dashjs.MediaPlayer().create()
player.initialize(videoElement, manifest, false)
player.getDebug().setLogToBrowserConsole(false)
setTimeout(() => player.setPlaybackRate(5), 1000)

export default player

let i = 0
window.onkeydown = function (e) {
  var code = e.keyCode ? e.keyCode : e.which
  if(code === 32){
    if(player.isPaused())
      player.play()
    else
      player.pause()
  }
}
function update () {
  updateState()
  updatePlaybackBar()
  updateButtons()

  i++
  if (i % 180 === 0) {
    printState()
  }
}
setInterval(update, 32)
