
export * from './circle'
export * from './segment'
import gutwinFisheye from '../gutwinsFisheye/index'
import {state} from '../state'

// Init the fisheye-package

export const fishRadius = 300
const distortion = 3
const innerRadius = 50

export const f = gutwinFisheye(distortion, fishRadius, innerRadius, state.fisheyeType)

// A simple container for a point that can be "fisheyed"
export class Point {
  constructor (x, y) {
    this.x = x
    this.y = y
  }

  get () {
    return {
      x: this.x,
      y: this.y
    }
  }

  add (x, y) {
    return new Point(this.x + x, this.y + y)
  }

  // Distort the point around some center point
  fisheye (fisheyePoint) {
    // Returns a fisheyed point that contains a new x and y coordinate
    // aswell as a scale factor
    return f(fisheyePoint.get())(this.get())
  }
}
